import 'package:flutter/material.dart';
import 'package:knt_ui/knt_ui.dart';

import '../resources.dart';
import 'item_section_collection.dart';

class BottomSheetCreateCollection extends StatelessWidget {
  const BottomSheetCreateCollection({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Positioned(
          left: 0.w,
          right: 0.w,
          top: 44.w,
          child: Container(
            width: 1.sw,
            height: 776.w,
            decoration: BoxDecoration(
              color: ColorName.white,
              boxShadow: [
                BoxShadow(
                  color: ColorName.black.withAlpha(12),
                  blurRadius: 20.w,
                  offset: Offset(0.w, -4.w),
                ),
              ],
            ),
          ),
        ),
        Positioned(
          left: 24.w,
          right: 23.w,
          bottom: 0.w,
          child: Column(
            mainAxisSize: MainAxisSize.min,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(
                    LocaleKeys.custom_sheetCreateCollection_cancel.tr(),
                    style: TextStyle(
                      color: ColorName.stonewash,
                      fontFamily: FontFamily.montserrat,
                      fontSize: 18.sp,
                      fontWeight: FontWeight.w500,
                      height: 21.sp / 18.sp,
                    ),
                  ),
                  Text(
                    LocaleKeys.custom_sheetCreateCollection_create.tr(),
                    style: TextStyle(
                      color: ColorName.canadianPine,
                      fontFamily: FontFamily.montserrat,
                      fontSize: 18.sp,
                      fontWeight: FontWeight.w500,
                      height: 21.sp / 18.sp,
                    ),
                  ),
                ],
              ),
              SizedBox(height: 24.w),
              Container(
                width: 328.w,
                height: 48.w,
                padding: EdgeInsets.only(
                  left: 16.w,
                  top: 14.w,
                ),
                child: KntSimpleEditText(
                  hintText: LocaleKeys
                      .custom_sheetCreateCollection_newCollection
                      .tr(),
                  hintTextColor: ColorName.intotheStratosphere,
                  fontSize: 16.sp,
                ),
              ),
              SizedBox(height: 12.w),
              Text(
                LocaleKeys.custom_sheetCreateCollection_newCollectionHint.tr(),
                style: TextStyle(
                  color: ColorName.intotheStratosphere,
                  fontFamily: FontFamily.montserrat,
                  fontSize: 13.sp,
                  fontWeight: FontWeight.w500,
                  height: 20.sp / 13.sp,
                ),
              ),
              SizedBox(height: 24.w),
              Expanded(
                child: ListView.builder(
                  physics: const BouncingScrollPhysics(),
                  itemBuilder: (context, index) =>
                      const ItemSectionCollection(),
                  itemCount: 1,
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}
