import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../config.dart';

class KntChip extends StatelessWidget {
  final String? text;
  final Color? textColor;
  final Color? backgroundColor;
  final VoidCallback? onTap;

  const KntChip({
    Key? key,
    this.text,
    this.textColor,
    this.backgroundColor,
    this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 32.w,
      padding: EdgeInsets.symmetric(
        vertical: 6.w,
        horizontal: 8.w,
      ),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(16.w),
        color: backgroundColor ?? KntUi.shared.primaryColor,
      ),
      child: InkWell(
        onTap: onTap,
        child: FittedBox(
          child: Text(
            text ?? '',
            style: TextStyle(
              color: textColor ?? Colors.white,
              fontSize: 12.sp,
              fontWeight: FontWeight.w700,
              height: 16.sp / 12.sp,
            ),
          ),
        ),
      ),
    );
  }
}
