import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

import '../config.dart';

class KntShimmer extends StatelessWidget {
  final double? width;
  final double? height;
  final Widget? placeholder;
  final BorderRadius? borderRadius;
  final Border? border;
  final List<BoxShadow>? boxShadows;

  const KntShimmer({
    Key? key,
    this.width,
    this.height,
    this.placeholder,
    this.borderRadius,
    this.border,
    this.boxShadows,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Widget shimmerPlaceholder = placeholder ??
        Container(
          width: width,
          height: height,
          decoration: BoxDecoration(
            color: Colors.black54,
            borderRadius: borderRadius,
            border: border,
            boxShadow: boxShadows,
          ),
        );
    final shimmerColor = KntUi.shared.shimmerColor ?? Colors.grey;
    return Container(
      width: width,
      height: height,
      decoration: BoxDecoration(
        borderRadius: borderRadius,
        border: border,
        boxShadow: boxShadows,
      ),
      child: Shimmer.fromColors(
        child: shimmerPlaceholder,
        baseColor: shimmerColor.withAlpha(70),
        highlightColor: shimmerColor.withAlpha(140),
      ),
    );
  }
}
